# LIST USERS

## Syntax <a href="#synopsis" id="synopsis"></a>

```sql
[ LIST | SHOW ] USERS;
```

## Description <a href="#description" id="description"></a>

This command provides a list of [Access Control](/overview/core-concepts/access-control.md#user)s that are part of the current [Access Control](/overview/core-concepts/access-control.md#organiation).

Users are listed only if the current [Access Control](/overview/core-concepts/access-control.md#role) has `USAGE` privileges on the organization.

## Examples <a href="#example" id="example"></a>

#### List current user without an organization

```sh
<no-organization># LIST USERS;
+-------------+--------------+-------------+------------------------------------------+------------+
|  Given Name |  Family Name |  Is Current |  Email                                   |  Locale    |
+=============+==============+=============+==========================================+============+
| user1       | fam1         | true        | useremail00b4-0e18-4edd@deltastream.io   | en         |
+-------------+--------------+-------------+------------------------------------------+------------+
```

#### List users in an organization

```sh
<no-organization># USE ORGANIZATION my_org;
+--------------+---------+----------+------------------------------+
|  Type        |  Name   |  Command |  Summary                     |
+==============+=========+==========+==============================+
| organization | my_org  | USE      | using organization "my_org"  |
+--------------+---------+----------+------------------------------+
<no-db>/<no-store># LIST USERS;
+-------------+--------------+-------------+------------------------------------------+------------+
|  Given Name |  Family Name |  Is Current |  Email                                   |  Locale    |
+=============+==============+=============+==========================================+============+
| user1       | fam1         | true        | useremail00b4-0e18-4edd@deltastream.io   | en         |
+-------------+--------------+-------------+------------------------------------------+------------+
| user2       | fam2         | false       | useremail224b-e672-498d@deltastream.io   | en         |
+-------------+--------------+-------------+------------------------------------------+------------+
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/command/list-users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
